Bug 19328 - (SCSI AIC7XXX)7.0 install fails on aic7xxx for adaptec 29160
(SCSI AIC7XXX)7.0 install fails on aic7xxx for adaptec 29160
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brock Organ
:
: 20041 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-18 14:08 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-18 14:08:23 EDT
When installing 7.0 out of the box, on a Dell Dimension PIII 800 with an 
Adaptec 29160 card and two Western Digital ultra160 drives the 
installation hangs the machine as soon as the aic7xxx driver loads.  
Please let me know what other information will help the process and I will 
collect it.  

As a side note, the machine already has 6.2 installed on it on an IDE 
drive.  When I try to load the 6.2 aic7xxx driver I get the same 
behavior.  The card and drives are correctly terminated and work fine from 
98.
Comment 1 Need Real Name 2000-10-19 11:42:58 EDT
As a side note, aic7xxxx=no_probe and aic7xxx=no_reset didn't have any effect 
either.
Comment 2 Need Real Name 2000-10-20 12:27:26 EDT
I installed in expert mode w/o a scsi adapter and then rebooted.  During reboot 
I got the following messages:

    <Adaptec AIC 7892 Ultra 160/m SCSI host adapter> found at PCI 2/10/0
    Wide Channel, SCSI ID=7, 32/255 SCBS
    Downloading sequencer code... 392 instructions downloaded

Then barf...  Is the driver recognizing the wrong card or do a 29160 and a 7892 
share the same chipset?
Comment 3 Need Real Name 2000-10-20 13:23:19 EDT
I installed in expert mode w/o a scsi adapter and then rebooted.  During reboot 
I got the following messages:

    <Adaptec AIC 7892 Ultra 160/m SCSI host adapter> found at PCI 2/10/0
    Wide Channel, SCSI ID=7, 32/255 SCBS
    Downloading sequencer code... 392 instructions downloaded

Then barf...  Is the driver recognizing the wrong card or do a 29160 and a 7892 
share the same chipset?
Comment 4 Doug Ledford 2000-10-20 13:48:18 EDT
The 29160 uses a 7892 chipset.  As for the failure, I need to know what happens
after the last message you posted in the bug report.  Is that the last message
(indicating a true machine hardlock) or are there other message, possibly things
like SCSI bus timeouts and resets (indicating that the controller is not
functional but that the machine is still operational).  That distinction is
important to locating the source of the problem.
Comment 5 Need Real Name 2000-10-20 14:07:08 EDT
Best as I can tell it is a true hardlock, no pulse, she's not breathing 
captain.  I let it sit for a while to see if the driver would timeout and the 
boot would continue, but after an hour or so gave up.
Comment 6 Doug Ledford 2000-10-20 15:03:05 EDT
This is almost identical to a problem that I've seen on some early machines
using the ServerWorks motherboard chipset.  It died in the same place and in the
same way, and a PCI bus trace showed that the PCI bus was hopelessly wedged when
it died.  The problem turned out to be that the motherboard BIOS was not
properly configuring the ServerWorks chipset and was leaving some write caching
of PCI bus transactions enabled in the chipset.  Once the BIOS was updated to
disable that write caching, then the driver and card worked fine from that point
on.  I suspect the same is true here, and that the hardware manufacturer might
need to be called upon to check this situation out.  I'll bring this bug up in
my next weekly Dell meeting.  Without duplicating the bug here, and given the
description, my next suggestion is that there is a motherboard PCI setup
incompatibility at play here.
Comment 7 Need Real Name 2000-10-20 15:39:00 EDT
So I'll look on Dell's support site for BIOS updates.  The only kicker is, the 
drive works fine from 98.  Wouldn't BIOS problems affect both OS's?
Comment 8 Need Real Name 2000-10-24 19:28:35 EDT
Some data for the discussion w/ Dell:

I upgraded the motherboard BIOS to version A06 with no luck.  I have a 
Dimension XPS B800r, if that is useful.
Comment 9 Need Real Name 2000-11-13 08:35:44 EST
The Redhat 7 install hangs the machine when the aic7xxx driver is loading.
I have i810 motherboard plus PCI Adaptec SCSI 2906, with Redhat 6.0. 
The SCSI board works fine with Redhat 6.0 and Win98.
Comment 10 Michael McConachie 2000-12-05 15:02:51 EST
Another case similar to this one.

The system hangs at the installation point of loading the AIC7xxx driver for the
Adaptec Ultra 160 SCSI adapter.  The motherboard is a Supermicro 370DL3
(built-in Ultra 160) with a Seagate ST318436LW harddrive.  This setup worked
correctly under RH 6.2.

Tried the following driver options:

	aic7xxxx=no_probe
	aic7xxx=no_reset

when loading the module.  Have also checked the motherboard BIOS settings for
PCI bus write chaching and tried disabling the write chaching with no change..

RH 6.2 and 7.0 F4 install outputs

RH6.2
<6>(scsi0) <Adaptec AIC-7892 Ultra 160/m SCSI host adapter> found at PCI 3/0
<6>(scsi0) Wide Channel, SCSI ID=7, 32/255 SCBS
<6>)scsi0) Downloading sequencer code ... 374 instructions downloaded
<4>scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.1.20/3.2.4
<4>	   <Adaptec AIC-7892 Ultra 160/m SCSI Host Adapter>
<4>scsi : 1 host
<6>(scsi0:0:0:0) Synchronous at 40.0 Mbyte/sec, offset 31.
<4>Vendor: Seagate	Model: ST318436LW	Rev: 0004
<4>Type: direct Access		ANSI SCSI revision: 03
<4>Detected scsi disk sda at scsi 0, channel 0, id 0, lun 0
<4>SCSI Device sda: hdwr sector= 512 bytes sectors= 35885168 [17522 MB] [17.5
GB]
<4>sda: sda1 sda2 < sda5 sda6 sda7 sda8>

RH7.0
<6>(scsi0) <Adaptec AIC-7892 Ultra 160/m SCSI host adapter> found at PCI 3/0
<6>(scsi0) Wide Channel, SCSI ID=7, 32/255 SCBS
<6>)scsi0) Downloading sequencer code ... 374 instructions downloaded
<4>scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.1.34/3.2.4
<4>	   <Adaptec AIC-7892 Ultra 160/m SCSI Host Adapter>
<4>scsi : 1 host
<6>(scsi0:0:0:0) Synchronous at 40.0 Mbyte/sec, offset 31.
<4>scsi: Aborting command due to timeout : pid 0, scsi 0, channel 0, id 0, lun 0
	Test Unit Ready 00 00 00 00 00

*Last line repeats endlessly


Comment 11 Thomas Meinders 2001-04-19 05:02:31 EDT
7.1 also fails on aic7xxx for adaptec 29160.

When the aic7xxx driver is loaded during the install routine the CD-Rom drive 
(Teac CD 532S, 32, SCSI-2) suddendly opens with the still spinning CD.
Comment 12 Need Real Name 2001-05-15 14:36:40 EDT
Has this problem with the aic7xxx module been solved?

My Adaptec 29160N SCSI controller have no support in the aic7xxx module.
Neither does the supplied experimental aic7xxx module. This is the case for 
RH6.2, 7.0 and 7.1
Both the 68pin and 50pin buses are correctly terminated. I have also tried to
disable everything in the bios except the necessary. There are no IRQ conflicts.

If trying to install from the CDROM, the program hangs/give timeouts on the
SCSI bus. When trying the experimental driver, the driver loads up with no 
problems, until the CDROM spins up and load the aic7xxx from the installation 
package. This result in the same - timeouts:
SCSI bus is being reset for host 1 channel 0
SCSI host 1 channel 0 reset (pid 0) timed out - trying harder
 These lines keep repeating, as the CDROM give a clicking sound.

If trying to install from one of the harddrives, all goes well until reboot.
When starting to analyze the SCSI controller, it finds SCSI host 0 and list 
both harddrives correctly and CDROM's. BUT... after this it locates SCSI host 1
and give timeouts: 
SCSI bus is being reset for host 1 channel 0
SCSI host 1 channel 0 reset (pid 0) timed out - trying harder

I am suspecting since this controller got two different buses:
1) 50-pin Fast/Ultra-SE controlled by a AIC-3860 chip
2) 68-pin internal LVD/SE controlled by a AIC-7892 chip.
the aic7xxx module think there are two different SCSI controller cards, or is 
trying to load two different drivers?

I have also tried to disconnect the 50pin bus (using jumper on controller) No 
luck - same result.

I have experimented for weeks and about to give up!
Comment 13 Need Real Name 2001-05-19 10:15:51 EDT
Problem solved temporary....
Redhat 7.1 (and previous versions) must be installed from the IDE bus.
However, the wide negotiation in the SCSI setup must be disabled. Otherwise: 
SCSI bus is being reset for host 1 channel 0
SCSI host 1 channel 0 reset (pid 0) timed out - trying harder

This is disappointing as the bus slows considerable down (from 160 to 40).

Have there been any progress with the development of a new aic7xxx module ??

Geir-Stele

Comment 14 s.rees 2001-08-17 05:56:51 EDT
Probably similar problem (same timeout error message) with RH 7.0 on a Dell 530 
2xPIIIZeons - BUT it only occurs when booting in SMP mode.  Booting in UP mode 
is fine.  Adaptec 2740 controller.  

Tried applying the 5.1.34 aic7xxx upgrade from dledford's site which changed 
the nature of the error message.  Previously it hadn't found any scsi devices - 
now it finds them and then times out.

Another odditiy, besides the UP-is-fine-but-SMP-is-knackered thing, is that we 
successfully installed RH 7.1 from CD-ROM and everything worked perfectly.  
Sadly we've had to go back to 7.0 because one of our software suppliers doesn't 
yet support the 2.4 kernel.
Comment 15 Christopher Johnson 2001-10-06 15:24:41 EDT
I have same symptom as original post on a 7.1 install: hangs solid on aic7xxx
for adaptec 29160.  My hardware is DFI motherboard  AK76-SN Rev. A+ with current
8-8-01 bios, AMD Athlon 1.4GHz 266MHz DDR processor, Adaptec 29160 with 2
quantum Ultra 160 drives.
Windows 2000 server runs fine, RH 7.1 install hangs.
I tried all combinations of dledford's alternate boot.img,"linux apic",
disabling SCSI wide negotiation, disabling secondary IDE, all to no avail.
Comment 16 Alan Cox 2003-06-05 18:16:38 EDT
*** Bug 20041 has been marked as a duplicate of this bug. ***
Comment 17 Bugzilla owner 2004-09-30 11:38:50 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.